function [r,phi] = polar(x,y)
% Funktionsfile zum Berechnen der Polarkoordinaten 
% eines Punktes (x,y)\in \R^2

% Input: x,y
% Output: r,phi

r=sqrt(x^2+y^2);
if (r>0) 
    phi=acos(x/r); % acos ist der Arccos
else
    phi=0; % Im Nullpunkt
end    
end

