function [app] = riemanntan(k)
% Funktion berechnet die Riemannsumme von int_0^1 tan(x) dx
% mit 2^k Intervallen,

% Input: k
% Output: app.. Die Riemannsumme



n=2^k; % Anz Intervalle
h=1/n; % Schrittweite
app=0; % Integral auf 0 setzen
for i=1:n
    x=((i-1)+rand(1))*h; % zufaellige Stuetzstelle
    f=tan(x);
    app=app+h*f; % Aufsummieren
end    



end

